Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.util
Class BuildSettings

    java.lang.Object
      grails.util.BuildSettings

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class BuildSettings

extends Object
implements groovy.lang.GroovyObject

Field Summary
`static String` | `APP_BASE_DIR`
`static String` | `BUILD_LISTENERS`
`static String` | `GLOBAL_PLUGINS_DIR`
`static String` | `PLUGINS_DIR`
`static String` | `PROJECT_CLASSES_DIR`
`static String` | `PROJECT_RESOURCES_DIR`
`static String` | `PROJECT_SOURCE_DIR`
`static String` | `PROJECT_TARGET_DIR`
`static String` | `PROJECT_TEST_CLASSES_DIR`
`static String` | `PROJECT_TEST_REPORTS_DIR`
`static String` | `PROJECT_TEST_SOURCE_DIR`
`static String` | `PROJECT_WAR_EXPLODED_DIR`
`static String` | `PROJECT_WAR_FILE`
`static String` | `PROJECT_WEB_XML_FILE`
`static String` | `PROJECT_WORK_DIR`
`protected boolean` | `settingsFileLoaded`
`static String` | `VERBOSE_COMPILE`
`static String` | `WORK_DIR`

Constructor Summary
`BuildSettings()`
`BuildSettings(File grailsHome)`
`BuildSettings(File grailsHome, File baseDir)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`Object` | `configureDependencyManager(groovy.util.ConfigObject config)`
`groovy.util.ConfigSlurper` | `createConfigSlurper()`
`List` | `getApplicationJars()`
`File` | `getBaseDir()`
`List<File>` | `getBuildDependencies()`
`Object[]` | `getBuildListeners()`
`File` | `getClassesDir()`
`List<File>` | `getCompileDependencies()`
`groovy.util.ConfigObject` | `getConfig()`
`List<File>` | `getDefaultCompileDependencies()`
`boolean` | `getDefaultEnv()`
`Map` | `getDefaultPluginMap()`
`Set` | `getDefaultPluginSet()`
`List<File>` | `getDefaultRuntimeDependencies()`
`List<File>` | `getDefaultTestDependencies()`
`boolean` | `getDependenciesExternallyConfigured()`
`IvyDependencyManager` | `getDependencyManager()`
`File` | `getGlobalPluginsDir()`
`String` | `getGrailsEnv()`
`File` | `getGrailsHome()`
`groovy.lang.Closure` | `getGrailsScriptClosure()`
`String` | `getGrailsVersion()`
`File` | `getGrailsWorkDir()`
`static Pattern` | `getJAR_PATTERN()`
`groovy.lang.MetaClass` | `getMetaClass()`
`File` | `getProjectPluginsDir()`
`File` | `getProjectTargetDir()`
`File` | `getProjectWarExplodedDir()`
`File` | `getProjectWarFile()`
`File` | `getProjectWorkDir()`
`Object` | `getProperty(String property)`
`List<File>` | `getProvidedDependencies()`
`File` | `getResourcesDir()`
`URLClassLoader` | `getRootLoader()`
`List<File>` | `getRuntimeDependencies()`
`File` | `getSourceDir()`
`File` | `getTestClassesDir()`
`List<File>` | `getTestDependencies()`
`File` | `getTestReportsDir()`
`File` | `getTestSourceDir()`
`File` | `getUserHome()`
`boolean` | `getVerboseCompile()`
`File` | `getWebXmlLocation()`
`Object` | `invokeMethod(String method, Object arguments)`
`boolean` | `isDefaultEnv()`
`boolean` | `isDependenciesExternallyConfigured()`
`boolean` | `isVerboseCompile()`
`groovy.util.ConfigObject` | `loadConfig()`
`groovy.util.ConfigObject` | `loadConfig(groovy.util.ConfigObject config)`
`groovy.util.ConfigObject` | `loadConfig(File configFile)`
`protected groovy.util.ConfigObject` | `loadSettingsFile()`
`groovy.lang.GroovyClassLoader` | `obtainGroovyClassLoader()`
`protected void` | `parseGrailsBuildListeners()`
`groovy.lang.Closure` | `pluginDependencyHandler()`
`protected void` | `postLoadConfig()`
`void` | `setApplicationJars(List value)`
`void` | `setBaseDir(File newBaseDir)`
`void` | `setBuildDependencies(List<File> value)`
`void` | `setBuildListeners(Object buildListeners)`
`void` | `setClassesDir(File dir)`
`void` | `setCompileDependencies(List<File> deps)`
`void` | `setConfig(groovy.util.ConfigObject value)`
`void` | `setDefaultCompileDependencies(List<File> value)`
`void` | `setDefaultEnv(boolean value)`
`void` | `setDefaultPluginMap(Map value)`
`void` | `setDefaultPluginSet(Set value)`
`void` | `setDefaultRuntimeDependencies(List<File> value)`
`void` | `setDefaultTestDependencies(List<File> value)`
`void` | `setDependenciesExternallyConfigured(boolean value)`
`void` | `setDependencyManager(IvyDependencyManager value)`
`void` | `setGlobalPluginsDir(File dir)`
`void` | `setGrailsEnv(String value)`
`void` | `setGrailsHome(File value)`
`void` | `setGrailsScriptClosure(groovy.lang.Closure value)`
`void` | `setGrailsVersion(String value)`
`void` | `setGrailsWorkDir(File dir)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProjectPluginsDir(File dir)`
`void` | `setProjectTargetDir(File dir)`
`void` | `setProjectWarExplodedDir(File dir)`
`void` | `setProjectWarFile(File file)`
`void` | `setProjectWorkDir(File dir)`
`void` | `setProperty(String property, Object value)`
`void` | `setProvidedDependencies(List<File> value)`
`void` | `setResourcesDir(File dir)`
`void` | `setRootLoader(URLClassLoader value)`
`void` | `setRuntimeDependencies(List<File> deps)`
`void` | `setSourceDir(File dir)`
`void` | `setTestClassesDir(File dir)`
`void` | `setTestDependencies(List<File> deps)`
`void` | `setTestReportsDir(File dir)`
`void` | `setTestSourceDir(File dir)`
`void` | `setUserHome(File value)`
`void` | `setVerboseCompile(boolean flag)`
`void` | `setWebXmlLocation(File location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APP_BASE_DIR

    public static String APP_BASE_DIR

### WORK_DIR

    public static String WORK_DIR

### PROJECT_WORK_DIR

    public static String PROJECT_WORK_DIR

### PROJECT_WAR_EXPLODED_DIR

    public static String PROJECT_WAR_EXPLODED_DIR

### PLUGINS_DIR

    public static String PLUGINS_DIR

### GLOBAL_PLUGINS_DIR

    public static String GLOBAL_PLUGINS_DIR

### PROJECT_RESOURCES_DIR

    public static String PROJECT_RESOURCES_DIR

### PROJECT_SOURCE_DIR

    public static String PROJECT_SOURCE_DIR

### PROJECT_WEB_XML_FILE

    public static String PROJECT_WEB_XML_FILE

### PROJECT_CLASSES_DIR

    public static String PROJECT_CLASSES_DIR

### PROJECT_TEST_CLASSES_DIR

    public static String PROJECT_TEST_CLASSES_DIR

### PROJECT_TEST_REPORTS_DIR

    public static String PROJECT_TEST_REPORTS_DIR

### PROJECT_TEST_SOURCE_DIR

    public static String PROJECT_TEST_SOURCE_DIR

### PROJECT_TARGET_DIR

    public static String PROJECT_TARGET_DIR

### PROJECT_WAR_FILE

    public static String PROJECT_WAR_FILE

### BUILD_LISTENERS

    public static String BUILD_LISTENERS

### VERBOSE_COMPILE

    public static String VERBOSE_COMPILE

### settingsFileLoaded

    protected boolean settingsFileLoaded

Constructor Detail

### BuildSettings

    public BuildSettings()

### BuildSettings

    public BuildSettings(File grailsHome)

### BuildSettings

    public BuildSettings(File grailsHome,
                         File baseDir)

Method Detail

### getJAR_PATTERN

    public static Pattern getJAR_PATTERN()

### getUserHome

    public File getUserHome()

### setUserHome

    public void setUserHome(File value)

### getGrailsHome

    public File getGrailsHome()

### setGrailsHome

    public void setGrailsHome(File value)

### getGrailsVersion

    public String getGrailsVersion()

### setGrailsVersion

    public void setGrailsVersion(String value)

### getGrailsEnv

    public String getGrailsEnv()

### setGrailsEnv

    public void setGrailsEnv(String value)

### getDefaultEnv

    public boolean getDefaultEnv()

### isDefaultEnv

    public boolean isDefaultEnv()

### setDefaultEnv

    public void setDefaultEnv(boolean value)

### getDependenciesExternallyConfigured

    public boolean getDependenciesExternallyConfigured()

### isDependenciesExternallyConfigured

    public boolean isDependenciesExternallyConfigured()

### setDependenciesExternallyConfigured

    public void setDependenciesExternallyConfigured(boolean value)

### getRootLoader

    public URLClassLoader getRootLoader()

### setRootLoader

    public void setRootLoader(URLClassLoader value)

### getConfig

    public groovy.util.ConfigObject getConfig()

### setConfig

    public void setConfig(groovy.util.ConfigObject value)

### getGrailsScriptClosure

    public groovy.lang.Closure getGrailsScriptClosure()

### setGrailsScriptClosure

    public void setGrailsScriptClosure(groovy.lang.Closure value)

### getDefaultPluginSet

    public Set getDefaultPluginSet()

### setDefaultPluginSet

    public void setDefaultPluginSet(Set value)

### getDefaultPluginMap

    public Map getDefaultPluginMap()

### setDefaultPluginMap

    public void setDefaultPluginMap(Map value)

### getApplicationJars

    public List getApplicationJars()

### setApplicationJars

    public void setApplicationJars(List value)

### getVerboseCompile

    public boolean getVerboseCompile()

### isVerboseCompile

    public boolean isVerboseCompile()

### getDefaultCompileDependencies

    public List<File> getDefaultCompileDependencies()

### setDefaultCompileDependencies

    public void setDefaultCompileDependencies(List<File> value)

### getDefaultTestDependencies

    public List<File> getDefaultTestDependencies()

### setDefaultTestDependencies

    public void setDefaultTestDependencies(List<File> value)

### getDefaultRuntimeDependencies

    public List<File> getDefaultRuntimeDependencies()

### setDefaultRuntimeDependencies

    public void setDefaultRuntimeDependencies(List<File> value)

### getProvidedDependencies

    public List<File> getProvidedDependencies()

### setProvidedDependencies

    public void setProvidedDependencies(List<File> value)

### getBuildDependencies

    public List<File> getBuildDependencies()

### setBuildDependencies

    public void setBuildDependencies(List<File> value)

### getDependencyManager

    public IvyDependencyManager getDependencyManager()

### setDependencyManager

    public void setDependencyManager(IvyDependencyManager value)

### getCompileDependencies

    public List<File> getCompileDependencies()

### setCompileDependencies

    public void setCompileDependencies(List<File> deps)

### getTestDependencies

    public List<File> getTestDependencies()

### setTestDependencies

    public void setTestDependencies(List<File> deps)

### getRuntimeDependencies

    public List<File> getRuntimeDependencies()

### setRuntimeDependencies

    public void setRuntimeDependencies(List<File> deps)

### getBaseDir

    public File getBaseDir()

### setBaseDir

    public void setBaseDir(File newBaseDir)

### getGrailsWorkDir

    public File getGrailsWorkDir()

### setGrailsWorkDir

    public void setGrailsWorkDir(File dir)

### getProjectWorkDir

    public File getProjectWorkDir()

### setProjectWorkDir

    public void setProjectWorkDir(File dir)

### getProjectTargetDir

    public File getProjectTargetDir()

### setProjectTargetDir

    public void setProjectTargetDir(File dir)

### getProjectWarFile

    public File getProjectWarFile()

### setProjectWarFile

    public void setProjectWarFile(File file)

### getProjectWarExplodedDir

    public File getProjectWarExplodedDir()

### setProjectWarExplodedDir

    public void setProjectWarExplodedDir(File dir)

### getClassesDir

    public File getClassesDir()

### setClassesDir

    public void setClassesDir(File dir)

### getTestClassesDir

    public File getTestClassesDir()

### setTestClassesDir

    public void setTestClassesDir(File dir)

### getResourcesDir

    public File getResourcesDir()

### setResourcesDir

    public void setResourcesDir(File dir)

### getSourceDir

    public File getSourceDir()

### setSourceDir

    public void setSourceDir(File dir)

### getProjectPluginsDir

    public File getProjectPluginsDir()

### setProjectPluginsDir

    public void setProjectPluginsDir(File dir)

### getGlobalPluginsDir

    public File getGlobalPluginsDir()

### setGlobalPluginsDir

    public void setGlobalPluginsDir(File dir)

### getTestReportsDir

    public File getTestReportsDir()

### setTestReportsDir

    public void setTestReportsDir(File dir)

### getTestSourceDir

    public File getTestSourceDir()

### setTestSourceDir

    public void setTestSourceDir(File dir)

### setBuildListeners

    public void setBuildListeners(Object buildListeners)

### getBuildListeners

    public Object[] getBuildListeners()

### setVerboseCompile

    public void setVerboseCompile(boolean flag)

### loadConfig

    public groovy.util.ConfigObject loadConfig()

### loadConfig

    public groovy.util.ConfigObject loadConfig(File configFile)

### loadConfig

    public groovy.util.ConfigObject loadConfig(groovy.util.ConfigObject config)

### postLoadConfig

    protected void postLoadConfig()

### loadSettingsFile

    protected groovy.util.ConfigObject loadSettingsFile()

### obtainGroovyClassLoader

    public groovy.lang.GroovyClassLoader obtainGroovyClassLoader()

### configureDependencyManager

    public Object configureDependencyManager(groovy.util.ConfigObject config)

### pluginDependencyHandler

    public groovy.lang.Closure pluginDependencyHandler()

### createConfigSlurper

    public groovy.util.ConfigSlurper createConfigSlurper()

### parseGrailsBuildListeners

    protected void parseGrailsBuildListeners()

### getWebXmlLocation

    public File getWebXmlLocation()

### setWebXmlLocation

    public void setWebXmlLocation(File location)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project